---
title: "Query risk fraud for order specify"

doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/order-management/query-risk-fraud-for-order-specify'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/order-management/query-risk-fraud-for-order-specify.md'
---
# Query risk fraud for order specify

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /orders/v2/:order_id/risks/:risk_id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_orders`

## Request

### Path Parameters

* `order_id`

  string (required)

  Order id

* `risk_id`

  string (required)

  Risk id

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `risk`

  object

  Risk information

  * `recommendation`

    string

    Fraud risk rating : cancel ( high risk ) 、investigate ( medium risk ) 、accept ( low risk )

  * `source`

    string

    Source logo , Internal- internal 、External- external

  * `order_id`

    string

    Order serial number

  * `display`

    boolean

    Show the logo on the detail page , true- display , false- not display or not

  * `id`

    string

    Risk id

  * `risk_detail_msg_list`

    array<object>

    Fraud risk node

    * `message`

      string

      Fraud risk node details

    * `risk_detail_level`

      string

      Fraud risk details class : cancel ( high risk ) 、investigate ( medium risk ) 、accept ( low risk )

  * `score`

    string

    Fraud risk score , 0-1 , 1 score the highest risk score

  * `cause_cancel`

    boolean

    Cancel order logo , true- cancel , false- do not cancel

  * `checkout_id`

    string

    Order associated discard id


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "externalDocs": {
    "description": "Permission point used by the interface is `read_orders` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "9dTzkrIq",
  "parameters": [
    {
      "name": "order_id",
      "in": "path",
      "description": "Order id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "order_id",
        "description": "Order id",
        "type": "string",
        "example": "\"21056863763067384710591058\""
      },
      "example": "\"21056863763067384710591058\""
    },
    {
      "name": "risk_id",
      "in": "path",
      "description": "Risk id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "risk_id",
        "description": "Risk id",
        "type": "string",
        "example": "\"2905687834858288060687\""
      },
      "example": "\"2905687834858288060687\""
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "risk": {
                "name": "risk",
                "description": "Risk information",
                "type": "object",
                "properties": {
                  "recommendation": {
                    "name": "recommendation",
                    "description": "Fraud risk rating : cancel ( high risk ) 、investigate ( medium risk ) 、accept ( low risk )",
                    "type": "string",
                    "example": "\"cancel\""
                  },
                  "source": {
                    "name": "source",
                    "description": "Source logo , Internal- internal 、External- external",
                    "type": "string",
                    "example": "\"External\""
                  },
                  "order_id": {
                    "name": "order_id",
                    "description": "Order serial number",
                    "type": "string",
                    "example": "\"21056646934598417162363882\""
                  },
                  "display": {
                    "name": "display",
                    "description": "Show the logo on the detail page , true- display , false- not display or not",
                    "type": "boolean",
                    "example": true
                  },
                  "id": {
                    "name": "id",
                    "description": "Risk id",
                    "type": "string",
                    "example": "\"2905664692071577423886\""
                  },
                  "risk_detail_msg_list": {
                    "name": "risk_detail_msg_list",
                    "description": "Fraud risk node",
                    "type": "array",
                    "items": {
                      "name": "risk_detail_msg_list",
                      "description": "Fraud risk node",
                      "type": "object",
                      "properties": {
                        "message": {
                          "name": "message",
                          "description": "Fraud risk node details",
                          "type": "string",
                          "example": "\"risk detail message\""
                        },
                        "risk_detail_level": {
                          "name": "risk_detail_level",
                          "description": "Fraud risk details class : cancel ( high risk ) 、investigate ( medium risk ) 、accept ( low risk )",
                          "type": "string",
                          "example": "cancel"
                        }
                      },
                      "example": {
                        "message": "\"risk detail message\"",
                        "risk_detail_level": "cancel"
                      }
                    },
                    "example": [
                      {
                        "risk_detail_level": "cancel",
                        "message": "\"risk detail message\""
                      }
                    ]
                  },
                  "score": {
                    "name": "score",
                    "description": "Fraud risk score , 0-1 , 1 score the highest risk score",
                    "type": "string",
                    "example": "\"1.0\""
                  },
                  "cause_cancel": {
                    "name": "cause_cancel",
                    "description": "Cancel order logo , true- cancel , false- do not cancel",
                    "type": "boolean",
                    "example": true
                  },
                  "checkout_id": {
                    "name": "checkout_id",
                    "description": "Order associated discard id",
                    "type": "string",
                    "example": "\"2405664692071577423882\""
                  }
                },
                "example": {
                  "id": "\"2905664692071577423886\"",
                  "order_id": "\"21056646934598417162363882\"",
                  "risk_detail_msg_list": [
                    {
                      "message": "\"risk detail message\"",
                      "risk_detail_level": "cancel"
                    }
                  ],
                  "display": true,
                  "recommendation": "\"cancel\"",
                  "source": "\"External\"",
                  "score": "\"1.0\"",
                  "cause_cancel": true,
                  "checkout_id": "\"2405664692071577423882\""
                }
              }
            },
            "example": {
              "risk": {
                "checkout_id": "\"2405664692071577423882\"",
                "risk_detail_msg_list": [
                  {
                    "message": "\"risk detail message\"",
                    "risk_detail_level": "cancel"
                  }
                ],
                "id": "\"2905664692071577423886\"",
                "score": "\"1.0\"",
                "order_id": "\"21056646934598417162363882\"",
                "cause_cancel": true,
                "display": true,
                "source": "\"External\"",
                "recommendation": "\"cancel\""
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/orders/v2/:order_id/risks/:risk_id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Query risk fraud for order specify",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_orders"
  ]
}
```